This is the multi-page printable view of this section. Click here to print.

Return to the regular view of this page.

ListMetricInfos

1 - 1.2

post /v1/metrics

Description

Get metric list

State ACTIVE (CURRENT)

VersionNot Before
1.2-

Parameters

TypeNameDescriptionSchemaDefault
bodybody
required

MetricSearchRequestV1Dot1

Responses

HTTP CodeDescriptionSchema
200OKMetricsResponseV1Dot1
400Bad RequestNone
401UnauthorizedNone
403ForbiddenNone

Example HTTP request

Request path

/v1/metrics

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = servicewatch 1.2"

Request body

{
    "metric_name": "CPU Usage/Core[Basic]",
    "namespaces": [
        {
            "dimensions": "[[\"resource_id\"]]",
            "name": "Virtual Server"
        }
    ],
    "resource_id": "10bf5d24-0f20-4066-bb0b-de2b1d6ff502",
    "resource_name": "VirtualServer01",
    "tags": [
        {
            "key": "key01",
            "value": "value01"
        }
    ]
}

Example HTTP response

Response 200

{
    "count": 1,
    "namespaces": [
        {
            "dimensions": [
                {
                    "columns": [
                        {
                            "key": "name",
                            "name_en": "지표명",
                            "name_ko": "지표명"
                        }
                    ],
                    "keys": "InstanceId",
                    "metrics": [
                        {
                            "alerts": [
                                {
                                    "id": "0ad6da92-634a-4f8c-932e-9d650599ab1e",
                                    "name": "Alert1"
                                }
                            ],
                            "default_collection_interval": "5m",
                            "detailed_collection_interval": "1m",
                            "dimensions": [
                                {
                                    "key": "VolumeID",
                                    "value": "45fbde15-cdd2-4891-be31-4a9de75fccda"
                                }
                            ],
                            "id": "d91097ac-0387-4e69-adb2-7b8d453b8db5",
                            "name": "CPU Usage/Core[Basic]",
                            "named_dimensions": [
                                {
                                    "key": "VolumeID",
                                    "value": "45fbde15-cdd2-4891-be31-4a9de75fccda"
                                }
                            ],
                            "namespace_id": "d583a229-9766-4eb8-96c4-ec389902ba3d",
                            "namespace_name": "Virtual Server",
                            "primary": true,
                            "recommended_stat_types": "[\"AVG\", \"MAX\"]",
                            "tags": [
                                {
                                    "key": "key01",
                                    "value": "value01"
                                }
                            ],
                            "unit": "BYTE"
                        }
                    ]
                }
            ],
            "id": "d583a229-9766-4eb8-96c4-ec389902ba3d",
            "name": "Virtual Server",
            "service_name": ""
        }
    ]
}

2 - 1.1

post /v1/metrics

Description

Get metric list

State ACTIVE (SUPPORTED)

VersionNot Before
1.120260831

Parameters

TypeNameDescriptionSchemaDefault
bodybody
required

MetricSearchRequestV1Dot1

Responses

HTTP CodeDescriptionSchema
200OKMetricsResponseV1Dot1
400Bad RequestNone
401UnauthorizedNone
403ForbiddenNone

Example HTTP request

Request path

/v1/metrics

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = servicewatch 1.1"

Request body

{
    "metric_name": "CPU Usage/Core[Basic]",
    "namespaces": [
        {
            "dimensions": "[[\"resource_id\"]]",
            "name": "Virtual Server"
        }
    ],
    "resource_id": "10bf5d24-0f20-4066-bb0b-de2b1d6ff502",
    "resource_name": "VirtualServer01",
    "tags": [
        {
            "key": "key01",
            "value": "value01"
        }
    ]
}

Example HTTP response

Response 200

{
    "count": 1,
    "namespaces": [
        {
            "dimensions": [
                {
                    "columns": [
                        {
                            "key": "name",
                            "name_en": "지표명",
                            "name_ko": "지표명"
                        }
                    ],
                    "keys": "InstanceId",
                    "metrics": [
                        {
                            "alerts": [
                                {
                                    "id": "0ad6da92-634a-4f8c-932e-9d650599ab1e",
                                    "name": "Alert1"
                                }
                            ],
                            "default_collection_interval": "5m",
                            "detailed_collection_interval": "1m",
                            "dimensions": [
                                {
                                    "key": "VolumeID",
                                    "value": "45fbde15-cdd2-4891-be31-4a9de75fccda"
                                }
                            ],
                            "id": "d91097ac-0387-4e69-adb2-7b8d453b8db5",
                            "name": "CPU Usage/Core[Basic]",
                            "named_dimensions": [
                                {
                                    "key": "VolumeID",
                                    "value": "45fbde15-cdd2-4891-be31-4a9de75fccda"
                                }
                            ],
                            "namespace_id": "d583a229-9766-4eb8-96c4-ec389902ba3d",
                            "namespace_name": "Virtual Server",
                            "primary": true,
                            "recommended_stat_types": "[\"AVG\", \"MAX\"]",
                            "tags": [
                                {
                                    "key": "key01",
                                    "value": "value01"
                                }
                            ],
                            "unit": "BYTE"
                        }
                    ]
                }
            ],
            "id": "d583a229-9766-4eb8-96c4-ec389902ba3d",
            "name": "Virtual Server",
            "service_name": ""
        }
    ]
}

3 - 1.0

post /v1/metrics

Description

Get metric list

State ACTIVE (DEPRECATED)

Deprecated versions with Not Before dates that have arrived or expired are no longer supported. We recommend using the latest version.

VersionNot Before
1.020260630

Parameters

TypeNameDescriptionSchemaDefault
bodybody
required

MetricSearchRequest

Responses

HTTP CodeDescriptionSchema
200OKMetricsResponse
400Bad RequestNone
401UnauthorizedNone
403ForbiddenNone

Example HTTP request

Request path

/v1/metrics

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = servicewatch 1.0"

Request body

{
    "metric_name": "CPU Usage/Core[Basic]",
    "namespaces": [
        {
            "dimensions": "[\"resource_id\"]",
            "name": "Virtual Server"
        }
    ],
    "resource_id": "10bf5d24-0f20-4066-bb0b-de2b1d6ff502",
    "resource_name": "VirtualServer01",
    "tags": [
        {
            "key": "key01",
            "value": "value01"
        }
    ]
}

Example HTTP response

Response 200

{
    "count": 1,
    "namespaces": [
        {
            "dimensions": [
                {
                    "columns": [
                        {
                            "key": "name",
                            "name_en": "지표명",
                            "name_ko": "지표명"
                        }
                    ],
                    "key": "InstanceId",
                    "metrics": [
                        {
                            "alerts": [
                                {
                                    "id": "0ad6da92-634a-4f8c-932e-9d650599ab1e",
                                    "name": "Alert1"
                                }
                            ],
                            "default_collection_interval": "5m",
                            "detailed_collection_interval": "1m",
                            "dimensions": [
                                {
                                    "key": "VolumeID",
                                    "value": "45fbde15-cdd2-4891-be31-4a9de75fccda"
                                }
                            ],
                            "id": "d91097ac-0387-4e69-adb2-7b8d453b8db5",
                            "individual_items": [
                                {
                                    "key": "VolumeID",
                                    "value": "45fbde15-cdd2-4891-be31-4a9de75fccda"
                                }
                            ],
                            "name": "CPU Usage/Core[Basic]",
                            "named_dimensions": [
                                {
                                    "key": "VolumeID",
                                    "value": "45fbde15-cdd2-4891-be31-4a9de75fccda"
                                }
                            ],
                            "namespace_id": "d583a229-9766-4eb8-96c4-ec389902ba3d",
                            "namespace_name": "Virtual Server",
                            "primary": true,
                            "recommended_stat_types": "[\"AVG\", \"MAX\"]",
                            "tags": [
                                {
                                    "key": "key01",
                                    "value": "value01"
                                }
                            ],
                            "unit": "BYTE"
                        }
                    ]
                }
            ],
            "id": "d583a229-9766-4eb8-96c4-ec389902ba3d",
            "name": "Virtual Server",
            "service_name": ""
        }
    ]
}